#' Conventional and Social media features of 187 movies.
#'
#' A dataset containing the ratings and other attributes of 187 movies.
#'
#' @format A data frame with 187 rows and 13 variables:
#' \describe{
#'   \item{Year}{year at which movies were projected on the screens}
#'   \item{Ratings}{ratings}
#'   \item{Genre}{genre of the movie}
#'   \item{Gross}{gross income in USD}
#'   \item{Budget}{budget in USD}
#'   \item{Screens}{number of screens in USA}
#'   \item{Sequel}{sequel}
#'   \item{Sentiment}{sentiment score}
#'   \item{Views}{number of views of movie trailer on Youtube}
#'   \item{Likes}{number of likes of movie trailer on Youtube}
#'   \item{Dislikes}{number of dislikes of movie trailer on Youtube}
#'   \item{Comments}{number of comments of movie trailer on Youtube}
#'   \item{Aggregate.Followers}{aggregate actor followers on Twitter}
#'
#' }
#' @source \url{https://archive.ics.uci.edu/ml/index.php}
#'
#' @references AHMED, Mehreen, JAHANGIR, Maham, AFZAL, Hammad, et al. Using Crowd-source based features from social media and Conventional features to predict the movies popularity. In : Smart City/SocialCom/SustainCom (SmartCity), 2015 IEEE International Conference on. IEEE, 2015. p. 273-278.
"csm"
